<?php
/*
	Redaxo-Addon Gridblock
	Grid SQL-Erweiterung
	v1.0.8
	by Falko Müller @ 2021-2022 (based on 0.1.0-dev von bloep)
*/

class rex_sql_gridblock extends rex_sql {

    private $fakeResult = false;
	

    public function __construct(int $DBID = 1)
    {
        if (rex::hasProperty('sql_fake_result')):
            $this->fakeResult = rex::getProperty('sql_fake_result');
        endif;
		
        parent::__construct($DBID);
    }


    public function getValue($colName)
    {
        if ($this->fakeResult):
			//normale SQL-Abfrage des Feldes umgehen, sofern sql_fake_result gesetzt ist
            if (isset($this->fakeResult[$colName])):
				//gib den GB-gespeicherten Wert zurück, anstatt den aus der originalen SQL-Abfrage
                if (is_array($this->fakeResult[$colName])):
                    return json_encode($this->fakeResult[$colName]);
                endif;
				
                return $this->fakeResult[$colName];
			endif;
        endif;
		
        return parent::getValue($colName); // TODO: Change the autogenerated stub
    }
	

    public function getRows()
    {
        if ($this->fakeResult) { return 1; }
		
        return parent::getRows(); // TODO: Change the autogenerated stub
    }
}
?>